include:
  - project: 'spearman/ci-templates'
    file: 'templates/rust.yml'

variables:
  RUST_CI_IMAGE: "rust:1.89"
  RUSTUP_TOOLCHAIN: "nightly-2025-08-16"

check:
  stage: check
  before_script:
    - apt-get update && apt-get install -y libclang-dev
    - rustup component add clippy
    - rustc --version && cargo --version

test:
  stage: test
  before_script:
    - apt-get update && apt-get install -y libclang-dev
    - rustc --version && cargo --version
